Subject: Re: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Jan 2013 09:49:31 +0200

> Date: Fri, 18 Jan 2013 08:15:43 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > I suspect that what you see is some bad interaction between VirtualBox
> > and the nasty way Windows disk cache optimizes its disk I/O.  It is
> > known to update the file attributes lazily, so data could be written
> > to a file without the file's directory entry updated at the same time,
> > until some time later.
> 
> I wonder why I don't see that with the straight Windows build editing 
> files on the local filesystem.

This is speculation, but I presume that locally the file-I/O API calls
interact with the cached files better than what VirtualBox's Posix
emulation does.

Or maybe I'm wrong, and we will start seeing similar problems on
Windows, now that Emacs uses 'fstat' much more than it did a year or
so ago (when 'fstat' was not used in the native Windows build at all).